winstd::event_fn_auto Class Reference
Event Tracing for Windows API

Helper class to write an event on entry/exit of scope. More...

`#include <WinStd/ETW.h>`

## Public Member Functions

| event_fn_auto (event_provider &ep, const EVENT_DESCRIPTOR *event_cons, const EVENT_DESCRIPTOR *event_dest, LPCSTR pszFnName)
| Writes the `event_cons` event.
| event_fn_auto (const event_fn_auto &other)
| Copies the object.
| event_fn_auto (event_fn_auto &&other) noexcept
| Moves the object.
| ~event_fn_auto ()
| Writes the `event_dest` event.
event_fn_auto & | operator= (const event_fn_auto &other)
| Copies the object.
event_fn_auto & | operator= (event_fn_auto &&other) noexcept
| Moves the object.

## Protected Attributes

event_provider & | m_ep
| Reference to event provider in use.
const EVENT_DESCRIPTOR * | m_event_dest
| Event descriptor at destruction.
EVENT_DATA_DESCRIPTOR | m_fn_name
| Function name.

## Detailed Description

Helper class to write an event on entry/exit of scope.

It writes one string event at creation and another at destruction.

The documentation for this class was generated from the following file:

- include/WinStd/ETW.h